﻿angular.module('notesApp', ['azure-mobile-service.module'])
  .controller('notesCtrl', function (Azureservice) {
      var vm = this;
      vm.addNoteText = '';

      vm.addNote = function () {
          if (vm.addNoteText !== '') {
              Azureservice.insert('notes', {
                  "notetext" : vm.addNoteText                  
              }).then(function (newitem) {
                  vm.notes.push(newitem);
                  vm.addNoteText = '';
              });
          }
      }

      vm.deleteNote = function (note) {
          Azureservice.del('notes', {
              "id": note.id
          }).then(function () {
              vm.notes.splice(vm.notes.indexOf(note), 1);
          });
      }

      vm.login = function () {
          Azureservice.login('microsoftaccount')
          .then(function () {
              Azureservice.query('notes', {})
              .then(function (items) {
                  vm.notes = items;
              });
          });
      }

      vm.logout = function () {
          vm.notes = [];
          Azureservice.logout();
      }

      vm.isLoggedIn = function ()
      {
          return Azureservice.isLoggedIn();
      }
  });

angular.module('notesApp').constant('AzureMobileServiceClient', {
    API_URL: "https://angularnotes.azure-mobile.net/",
    API_KEY: "CTORszOUnrgAByIlBKGzncwVbJQDJU21",
});